netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
sl_backend_ops Struct Reference

`#include <spotlight.h>`

## Data Fields
const char * | sbo_name
int(* | sbo_init )(AFPObj *obj)
void(* | sbo_close )(AFPObj *obj)
int(* | sbo_open_query )(slq_t *slq)
int(* | sbo_fetch_results )(slq_t *slq)
void(* | sbo_close_query )(slq_t *slq)
int(* | sbo_index_event )(const AFPObj *obj, const struct vol *vol, sl_index_event_t event, const char *path, const char *oldpath)

## Field Documentation

## ◆ sbo_close

void(* sl_backend_ops::sbo_close) (AFPObj *obj)

## ◆ sbo_close_query

void(* sl_backend_ops::sbo_close_query) (slq_t *slq)

## ◆ sbo_fetch_results

int(* sl_backend_ops::sbo_fetch_results) (slq_t *slq)

## ◆ sbo_index_event

int(* sl_backend_ops::sbo_index_event) (const AFPObj *obj, const struct vol *vol, sl_index_event_t event, const char *path, const char *oldpath)

## ◆ sbo_init

int(* sl_backend_ops::sbo_init) (AFPObj *obj)

## ◆ sbo_name

const char* sl_backend_ops::sbo_name

## ◆ sbo_open_query

int(* sl_backend_ops::sbo_open_query) (slq_t *slq)

The documentation for this struct was generated from the following file:

- spotlight.h